## imcode.server.document
Class TemplateMapper

    java.lang.Object
      imcode.server.document.TemplateMapper

    public class TemplateMapper

extends java.lang.Object

Constructor Summary
`TemplateMapper(ImcmsServices service)`

Method Summary
`void` `addTemplateToGroup(TemplateDomainObject template, TemplateGroupDomainObject templateGroup)`
`java.lang.String` `createHtmlOptionListOfTemplateGroups(java.util.Collection<TemplateGroupDomainObject> templateGroups, TemplateGroupDomainObject selectedTemplateGroup)`
`java.lang.String` `createHtmlOptionListOfTemplateGroups(TemplateGroupDomainObject selectedTemplateGroup)`
`java.lang.String` `createHtmlOptionListOfTemplates(java.lang.Iterable<TemplateDomainObject> templates, TemplateDomainObject selectedTemplate)`
`java.lang.String` `createHtmlOptionListOfTemplatesWithDocumentCount(UserDomainObject user)`
`void` `createTemplateGroup(java.lang.String name)`
`void` `deleteTemplate(TemplateDomainObject template)` delete template from db/disk
`void` `deleteTemplateGroup(int grp_id)`
`java.util.Set` `getAllTemplateGroupIds()`
`TemplateGroupDomainObject[]` `getAllTemplateGroups()`
`TemplateGroupDomainObject[]` `getAllTemplateGroupsAvailableForUserOnDocument(UserDomainObject user, int metaId)`
`java.util.List<TemplateDomainObject>` `getAllTemplates()`
`java.util.List<TemplateDomainObject>` `getAllTemplatesExceptOne(TemplateDomainObject template)`
`DocumentDomainObject[]` `getDocumentsUsingTemplate(TemplateDomainObject template)`
`TemplateDomainObject` `getTemplateByName(java.lang.String templateName)`
`java.lang.String` `getTemplateData(java.lang.String templateName)`
`TemplateGroupDomainObject` `getTemplateGroupById(int templateGroupId)`
`TemplateGroupDomainObject` `getTemplateGroupByName(java.lang.String name)`
`java.util.List` `getTemplateGroups(java.util.Set<java.lang.Integer> templateGroupIds)`
`java.util.List<TemplateDomainObject>` `getTemplatesInGroup(TemplateGroupDomainObject templateGroup)`
`java.util.List<TemplateDomainObject>` `getTemplatesNotInGroup(TemplateGroupDomainObject templateGroup)`
`void` `removeTemplateFromGroup(TemplateDomainObject template, TemplateGroupDomainObject templateGroup)`
`boolean` `renameTemplate(java.lang.String templateName, java.lang.String newNameForTemplate)`
`void` `renameTemplateGroup(TemplateGroupDomainObject templateGroup, java.lang.String newName)`
`void` `replaceAllUsagesOfTemplate(TemplateDomainObject template, TemplateDomainObject newTemplate)`
`int` `saveTemplate(java.lang.String name, java.lang.String file_name, java.io.InputStream templateData, boolean overwrite)`
`boolean` `templateGroupContains(TemplateGroupDomainObject templateGroup, TemplateDomainObject template)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateMapper

    public TemplateMapper(ImcmsServices service)

Method Detail

### addTemplateToGroup

    public void addTemplateToGroup(TemplateDomainObject template,
                                   TemplateGroupDomainObject templateGroup)

### getAllTemplatesExceptOne

    public java.util.List<TemplateDomainObject> getAllTemplatesExceptOne(TemplateDomainObject template)

### createHtmlOptionListOfTemplateGroups

    public java.lang.String createHtmlOptionListOfTemplateGroups(TemplateGroupDomainObject selectedTemplateGroup)

### createHtmlOptionListOfTemplateGroups

    public java.lang.String createHtmlOptionListOfTemplateGroups(java.util.Collection<TemplateGroupDomainObject> templateGroups,
                                                                 TemplateGroupDomainObject selectedTemplateGroup)

### createHtmlOptionListOfTemplates

    public java.lang.String createHtmlOptionListOfTemplates(java.lang.Iterable<TemplateDomainObject> templates,
                                                            TemplateDomainObject selectedTemplate)
                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### createHtmlOptionListOfTemplatesWithDocumentCount

    public java.lang.String createHtmlOptionListOfTemplatesWithDocumentCount(UserDomainObject user)

### deleteTemplate

    public void deleteTemplate(TemplateDomainObject template)

  delete template from db/disk

### deleteTemplateGroup

    public void deleteTemplateGroup(int grp_id)

### getAllTemplateGroups

    public TemplateGroupDomainObject[] getAllTemplateGroups()

### getAllTemplateGroupsAvailableForUserOnDocument

    public TemplateGroupDomainObject[] getAllTemplateGroupsAvailableForUserOnDocument(UserDomainObject user,
                                                                                      int metaId)

### getAllTemplateGroupIds

    public java.util.Set getAllTemplateGroupIds()

### getAllTemplates

    public java.util.List<TemplateDomainObject> getAllTemplates()

### getDocumentsUsingTemplate

    public DocumentDomainObject[] getDocumentsUsingTemplate(TemplateDomainObject template)

### getTemplateByName

    public TemplateDomainObject getTemplateByName(java.lang.String templateName)

### getTemplateGroupById

    public TemplateGroupDomainObject getTemplateGroupById(int templateGroupId)

### getTemplateGroupByName

    public TemplateGroupDomainObject getTemplateGroupByName(java.lang.String name)

### getTemplatesInGroup

    public java.util.List<TemplateDomainObject> getTemplatesInGroup(TemplateGroupDomainObject templateGroup)

### getTemplatesNotInGroup

    public java.util.List<TemplateDomainObject> getTemplatesNotInGroup(TemplateGroupDomainObject templateGroup)

### removeTemplateFromGroup

    public void removeTemplateFromGroup(TemplateDomainObject template,
                                        TemplateGroupDomainObject templateGroup)

### renameTemplate

    public boolean renameTemplate(java.lang.String templateName,
                                  java.lang.String newNameForTemplate)

### renameTemplateGroup

    public void renameTemplateGroup(TemplateGroupDomainObject templateGroup,
                                    java.lang.String newName)

### replaceAllUsagesOfTemplate

    public void replaceAllUsagesOfTemplate(TemplateDomainObject template,
                                           TemplateDomainObject newTemplate)

### createTemplateGroup

    public void createTemplateGroup(java.lang.String name)

### saveTemplate

    public int saveTemplate(java.lang.String name,
                            java.lang.String file_name,
                            java.io.InputStream templateData,
                            boolean overwrite)

### getTemplateData

    public java.lang.String getTemplateData(java.lang.String templateName)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTemplateGroups

    public java.util.List getTemplateGroups(java.util.Set<java.lang.Integer> templateGroupIds)

### templateGroupContains

    public boolean templateGroupContains(TemplateGroupDomainObject templateGroup,
                                         TemplateDomainObject template)